RK-J - Bug #2532

Unable to add more than one external node in solution graph
07/19/2022 05:46 AM - Ram Kordale

Status: Closed Start date: 07/19/2022
Priority: High Due date: 10/21/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 2.50 hours
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

create a solution graph and pick a node that has an external node attached. now, attempting to add another external node to the
node fails.

History

#1 - 09/21/2022 09:55 AM - Ayush Khandelwal
- Due date set to 09/21/2022
- Assignee changed from Ayush Khandelwal to Venmuhilan B

- Estimated time set to 2.50 h

#2 - 09/21/2022 11:34 AM - Venmuhilan B

- Status changed from New to In Progress

#3 - 10/18/2022 09:03 AM - Ayush Khandelwal
- Tracker changed from Bug to Task

- Status changed from In Progress to New

Unable to add the first external node.

#4 - 10/18/2022 09:06 AM - Ayush Khandelwal
- Tracker changed from Task to Bug

- Due date changed from 09/21/2022 to 10/21/2022
Steps to reproduce:
1. Go to this page https://edutestqa.appspot.com/admin/solutiongraph

2. Right click on the start node, click on 'Add left external node'.
3. Add the information with the url and then click 'right' mark. It should create the external node but it is not working.

#5 - 10/18/2022 09:08 AM - Venmuhilan B

- Status changed from New to In Progress

#6 - 10/21/2022 12:59 PM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#7 - 10/21/2022 01:03 PM - Venmuhilan B

Issue:

This validation method applyNodePopupValidation() will be called based on the onChange event. By default, the URL will be present in the
dropdown. If we select Local or Content or go back to URL, it will trigger the onChange event and the external node will be added. If we not select any
of the dropdown values, the default value is "URL", the onChange event will not trigger and the external node will not added.

Fix:
trigger the onchange event on loading the page

#8 - 10/26/2022 11:30 AM - Venmuhilan B

- Status changed from Resolved to Feedback
- Assignee changed from Venmuhilan B to Ayush Khandelwal

#9 - 06/05/2023 07:01 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#10 - 06/27/2023 02:49 AM - Ram Kordale
- Status changed from Feedback to Closed
